<!-- ZwBtn  -->
<template>
  <el-button :loading="loading" :icon="Icon" :size="size" :type="Type" @click="handleClick"><slot/></el-button>
</template>

<script>
export default {
  name: 'ZwBtn',
  props: {
    icon:String,
    loading:Boolean,
    disabled:Boolean,
    size:{
      type:String,
      default:'small',
    },
    type:{
      type:String,
      default:'primary',
    },
    btnType:{
      type:String,
    },

  },
  created(){
   this.init()
  },
  data() {
    return {
      Type:'',
      Icon:''
    }
  },
  
  methods: {
    //初始化方法
    init() { 
      let btnType = this.btnType
      if(btnType=='search'){
        this.Icon = 'el-icon-search'
        this.Type='primary'
        return 
      }
      if(btnType=='add'){
        this.Icon = 'el-icon-circle-plus'
        this.Type='success'
        return 
      }
      if(btnType=='del'){
        this.Icon = 'el-icon-delete'
        this.Type='danger'
        return 
      }

      this.Type = this.type
      this.Icon = this.icon
    
    },

    handleClick(){
      this.$emit('click')

    }
  },
}

</script>
<style lang='scss' scoped>
</style>